# dhcpd.conf
#

# option definitions common to all supported networks...
option domain-name "laas.priv";
option domain-name-servers ns.laas.priv;

default-lease-time 600;
max-lease-time 7200;

# If this DHCP server is the official DHCP server for the local
# network, the authoritative directive should be uncommented.
authoritative;

#dynamic dns update;
ddns-update-style interim;
#ad hoc klappt nicht mehr mit named 9.2.x;
ddns-updates on;
ddns-domainname "laas.priv";
ddns-rev-domainname "in-addr.arpa";

update-static-leases on;

host mig {
  hardware ethernet 0:0:cb:58:3:e7;
  fixed-address mig.laas.priv;
}

host xenon {
  hardware ethernet 0:a0:c9:a3:22:7a;
  fixed-address xenon.laas.priv;
}

subnet 192.168.0.0 netmask 255.255.255.0 {
  range 192.168.0.10 192.168.0.253;
  option domain-name-servers ns.laas.priv;
  option domain-name "laas.priv";
  option routers 192.168.0.1;
  option broadcast-address 192.168.0.255;
}

subnet 192.168.1.0 netmask 255.255.255.0 {
  range 192.168.1.1 192.168.1.1;
  option domain-name-servers ns.laas.priv;
  option domain-name "laas.priv";
  option routers 192.168.1.1;
  option broadcast-address 192.168.1.255;
}
